Unseal Space
REST APIMessages

Send a message (start a turn)

POST
/v1/projects/{id}/messages

Accepts the request immediately (202) and runs the turn asynchronously — consume progress from the events SSE endpoint.

x-api-key<token>

Workspace-owned API key with per-resource permissions.

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

content*string
model?string
Length1 <= length <= 64
effort?string
Length1 <= length <= 64
attachmentIds?array<>
Itemsitems <= 20
skillNames?array<>
Itemsitems <= 3
idempotencyKey?string
Length1 <= length <= 128

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages" \  -H "Content-Type: application/json" \  -d '{    "content": "string"  }'
{  "messageId": "8540d774-4863-4d2b-b788-4ecb19412e85",  "status": "queued"}